<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ai.da.mapper.primary.WorkspaceMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.ai.da.mapper.primary.entity.Workspace">
        <id column="id" property="id"/>
        <result column="work_space_name" property="workSpaceName"/>
        <result column="user_name" property="userName"/>
        <result column="account_id" property="accountId"/>
        <result column="sex" property="sex"/>
        <result column="position" property="position"/>
        <result column="system_designer_percentage" property="systemDesignerPercentage"/>
        <result column="mannequin_female_id" property="mannequinFemaleId"/>
        <result column="mannequin_female_type" property="mannequinFemaleType"/>
        <result column="mannequin_male_id" property="mannequinMaleId"/>
        <result column="mannequin_male_type" property="mannequinMaleType"/>
        <result column="mannequin_child_id" property="mannequinChildId"/>
        <result column="mannequin_child_type" property="mannequinChildType"/>
        <result column="is_last_index" property="isLastIndex"/>
        <result column="create_time" property="createTime"/>
        <result column="update_time" property="updateTime"/>
        <result column="is_deleted" property="isDeleted"/>
    </resultMap>


    <select id="selectWorkspacePage" resultMap="BaseResultMap">
        select * from workspace where is_deleted = 0
    </select>

</mapper>
